% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/aedseo-package.R
\docType{package}
\name{aedseo-package}
\alias{aedseo-package}
\title{aedseo: Automated and Early Detection of Seasonal Epidemic Onset and Burden Levels}
\description{
\if{html}{\figure{logo.png}{options: style='float: right' alt='logo' width='120'}}

A powerful tool for automating the early detection of seasonal epidemic onsets in time series data. It offers the ability to estimate growth rates across consecutive time intervals, calculate the sum of cases (SoC) within those intervals, and estimate seasonal onsets within user defined seasons. With use of a disease-specific threshold it also offers the possibility to estimate seasonal onset of epidemics. Additionally it offers the ability to estimate burden levels for seasons based on historical data. It is aimed towards epidemiologists, public health professionals, and researchers seeking to identify and respond to seasonal epidemics in a timely fashion.
}
\seealso{
Useful links:
\itemize{
  \item \url{https://github.com/ssi-dk/aedseo}
  \item \url{https://ssi-dk.github.io/aedseo/}
  \item Report bugs at \url{https://github.com/ssi-dk/aedseo/issues}
}

}
\author{
\strong{Maintainer}: Lasse Engbo Christiansen \email{lsec@ssi.dk} (\href{https://orcid.org/0000-0001-5019-1931}{ORCID})

Authors:
\itemize{
  \item Sofia Myrup Otero \email{smot@ssi.dk} (\href{https://orcid.org/0009-0006-4953-614X}{ORCID})
  \item Kasper Schou Telkamp \email{kasper.telkamp@gmail.com} (\href{https://orcid.org/0009-0001-5126-0190}{ORCID})
}

Other contributors:
\itemize{
  \item Rasmus Skytte Randløv \email{rske@ssi.dk} (\href{https://orcid.org/0000-0002-5860-3838}{ORCID}) [reviewer]
  \item Statens Serum Institut, SSI [copyright holder, funder]
}

}
\keyword{internal}
